import { Point } from "@golemio/core/dist/shared/geojson";

export const transformedDataFixture = {
    id: 69,
    name: "Ústřední knihovna - Suterén",
    geometry: {
        coordinates: [14.41738, 50.08738],
        type: "Point",
    } as Point,
    address: {
        address_country: "Česko",
        address_formatted: "Mariánské náměstí 98/1, 115 72 Praha 1, Česko",
        address_locality: "Praha 1",
        postal_code: "115 72",
        street_address: "Mariánské náměstí 98/1",
    },
    district: null,
    email: "suteren@mlp.cz",
    opening_hours: [
        {
            opens: "13:00",
            closes: "17:00",
            day_of_week: "Monday",
            library_id: 69,
            description: "Základní provozní doba",
            is_default: true,
            valid_from: null,
            valid_through: null,
        },
        {
            opens: "16:00",
            closes: "20:00",
            day_of_week: "Tuesday",
            library_id: 69,
            description: "Základní provozní doba",
            is_default: true,
            valid_from: null,
            valid_through: null,
        },
        {
            opens: "15:00",
            closes: "17:00",
            day_of_week: "Wednesday",
            library_id: 69,
            description: "Základní provozní doba",
            is_default: true,
            valid_from: null,
            valid_through: null,
        },
        {
            opens: "09:00",
            closes: "12:00",
            day_of_week: "Sunday",
            library_id: 69,
            description: "Mimořádná provozní doba",
            is_default: false,
            valid_from: "2022-09-19T00:00:00+02:00",
            valid_through: "2022-09-21T00:00:00+02:00",
        },
        {
            opens: "13:00",
            closes: "15:00",
            day_of_week: "Sunday",
            library_id: 69,
            description: "Mimořádná provozní doba",
            is_default: false,
            valid_from: "2022-09-19T00:00:00+02:00",
            valid_through: "2022-09-21T00:00:00+02:00",
        },
    ],
    services: [
        {
            id: 3,
            library_id: 69,
            name: "Bezbariérový přístup",
            description: "Bezbariérový přístup pro vozíčkáře i rodiče s kočárky",
        },
        {
            id: 12,
            library_id: 69,
            name: "Wi-fi",
            description: "Wi-fi s vlastním notebookem zdarma",
        },
    ],
    telephone: "+420 777 496 992",
    web: "https://www.mlp.cz/cz/pobocky/ustredni-knihovna-suteren/",
};
